[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DialogRes' (#lcl)

# TDialogImageList.Create

Constructor for the class instance.

## Declaration

Source position: dialogres.pas line 31

`public constructor TDialogImageList.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Component which owns the class instance.

## Description

Create is the overridden constructor for the class instance. It calls the inherited method on entry to initialize the storage for the class and to enable image scaling.

Create initializes the internal array with the index positions for the glyphs in the class. The default Width and Height for the icons are set to 32 pixels. It registers image resolutions for the icons using 16, 24, 32, 48, and 64 pixel image sizes.

## See also

TLCLGlyphs.Create |  | Constructor for the class instance.
TLCLGlyphs.RegisterResolutions |  | Register a list of resolutions using the specified suffixes.
TCustomImageList.Scaled |  | Controls whether image sizes are automatically scaled for different display density (Pixels per Inch) settings.